Subject: bug#56865: M-x find-dired fails with "Wrong type: processp, nil"

From: Paul Pogonyshev <[email-masked]>
Date: Sat, 3 Dec 2022 14:38:09 +0100

I can only tell that it doesn't fail every time. The previous
implementation didn't fail constantly, only from time to time, so it's hard
to tell if the new is better.

> it looks good to me

So this is probably a better indicator.

Paul

On Thu, 1 Dec 2022 at 10:21, Michael Albinus <[email-masked]> wrote:

> Liu Hui <[email-masked]> writes:
>
> > Hi,
>
> Hi Hui,
>
> > I create a patch according to the discussion and find-dired works well
> > now.
>
> Thanks, it looks good to me. I'm not sure whether it will always work,
> because the embedding shell, added by `shell-command', is not here. But
> likely, it doesn't matter.
>
> Paul, could you pls test this patch whether it works for you?
>
> > Best,
> > Hui
>
> Best regards, Michael.
>